Author Topic: V.M. Consultant Needed  (Read 7563 times)

jeffhoneyager

  • Jr. Member
  • **
  • Posts: 54
  • Matt. 11:28
    • Expert Web Professionals
  • VirtueMart Version: 2.0.20b
V.M. Consultant Needed
« on: December 23, 2015, 19:13:21 pm »
We are using:

J! 3.4.7
Yootheme (Avion)
MySQL ver. 5.6.27
php 6.6.17
JoomlaLMS 2.0.2
VirtueMart 3.0.12

If you have worked with V.M. you know it can be a pain and there is virtually no support.  Clean install - category display gives us a

Error: 1064

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 SQL=SELECT cat.description FROM hnp37_categories cat WHERE cat.id=



We need help with V.M.

Please contact: jeff @ honeyager. com
Peace & Joy,
Jeff Honeyager
...using VirtueMart since 2006
http://jeff.honeyager.com

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28382
  • Always on vacation
    • Jenkin Hill Internet
Re: V.M. Consultant Needed
« Reply #1 on: December 24, 2015, 00:45:36 am »
Quote
virtually no support

Just what do you mean by that?

AFAIK VM 3.0.12 has not been tested with PHP6.6.17 so MySQL errors are a possibility. But the first step with such error is to try the tool "Install or if necessary update tables ".
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart  4.0.2 10661 on Joomla 3.10.9 PHP 7.4.29

Nilsy

  • Jr. Member
  • **
  • Posts: 75
    • Sexhibition
  • VirtueMart Version: 3.6.2 10159
Re: V.M. Consultant Needed
« Reply #2 on: December 24, 2015, 11:23:37 am »
Quote
virtually no support

Just what do you mean by that?


Got to agree with Jenkinhill here... I have used VM since the early days on J1.0, and whenever I have had trouble, the response rate here has been very good, or the issue has already been fixed by someone.

I also sent you (jeffhoneyager) a mail yesterday on this issue, offering to attempt help.
Joomla 3.9.12

welrachid

  • Jr. Member
  • **
  • Posts: 265
  • 3rd party plugin developer
  • Skype Name: wel.rachid
  • VirtueMart Version: Always LATEST stable
Re: V.M. Consultant Needed
« Reply #3 on: December 24, 2015, 11:56:12 am »
Can you tell us a little more about the error?
maybe turn on debugging details so we can see where it is raised?

#__categories does not belong to VM. and from what i know (i have less than 1 year of experience with VM) so this must be something calling Joomla's article categories.
Best regards,
Wel

jeffhoneyager

  • Jr. Member
  • **
  • Posts: 54
  • Matt. 11:28
    • Expert Web Professionals
  • VirtueMart Version: 2.0.20b
Re: V.M. Consultant Needed
« Reply #4 on: December 24, 2015, 14:12:04 pm »
As I read the quick responses, I take back my mention of slow response - My first attempt with V.M. was in 2006.  I can see the forum responses are much quicker and more accurate.  Thank all of you for the effort.

Quote
AFAIK VM 3.0.12 has not been tested with PHP6.6.17 so MySQL errors are a possibility. But the first step with such error is to try the tool "Install or if necessary update tables ".

I tried this with no effect.

Any other ideas?
What is the latest version of php that V.M. was tested with?

Thank you.
Peace & Joy,
Jeff Honeyager
...using VirtueMart since 2006
http://jeff.honeyager.com

Nilsy

  • Jr. Member
  • **
  • Posts: 75
    • Sexhibition
  • VirtueMart Version: 3.6.2 10159
Re: V.M. Consultant Needed
« Reply #5 on: December 24, 2015, 16:10:19 pm »
Try turning off the cache.
I read somewhere that this can cause the problem you have.

(If that works, at least you know where the problem may stem from).
Joomla 3.9.12

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 10629
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.8.8
Re: V.M. Consultant Needed
« Reply #6 on: December 24, 2015, 21:51:59 pm »
Quote
php 6.6.17
  ????

surely 5.6.x?

PHP 6.x    Not released    N/A    Abandoned version of PHP that planned to include native Unicode support.
GJC Web Design
VirtueMart and Joomla Developers - php developers https://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
https://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

jeffhoneyager

  • Jr. Member
  • **
  • Posts: 54
  • Matt. 11:28
    • Expert Web Professionals
  • VirtueMart Version: 2.0.20b
Re: V.M. Consultant Needed
« Reply #7 on: January 02, 2016, 13:28:23 pm »
SOLVED

I had a SEO plugin installed that tried to read the contents the "currently displayed" article and dynamically create a meta tag description.  When viewing V.M. there were no categories - so the plugin caused the error message.

Once the plugin was disabled - no problem.

Thanks for all the replies to help.
Peace & Joy,
Jeff Honeyager
...using VirtueMart since 2006
http://jeff.honeyager.com